<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="UTF-8">
		<!-- <meta name="viewport" content="width=device-width, initial-scale=1.0"> -->
		<title>HTML Attributes and Hyperlinks</title>
	</head>
	<body>
		<h2 id="top">HTML Attributes</h2>

        <!-- the align atrribute changes the alignment of the paragraph element -->
        <p align="center"><em>Modifiers of element behaviors</em></p>
        <h2>HTML Images</h2>
        <!-- <img> -->
        <p align ="right"><em>An image can be shown use &lt;img&gt;tag along with its <strong>src</strong> attribute.</em></p>
        <!-- <p><em>An image can be shown use <img&gt;</em></p> -->
        
            <!-- adds an image usin absolute linking -->
        <img src="https://place-puppy.com/" target = "_blank">
        <!-- html tgs wrapped inside an anchor tag will become a clicable element -->
        <a href="">
            <img src="https://place-puppy.com/300x300">
        </a>
        <p>
            <code>
                &lt;img src="https://place-puppy.com/300x300"&gt;
            </code>
        </p>
        <img src="./images/unnamed.png" >

        <p>
            Valid image extensions are the following
        </p>
        <ol type="a" reversed>
            <li>png</li>
            <li>jpg</li>
            <li>gif</li>
            <li>svg</li>
            <li>webp</li>
        </ol>

        <p>take a look at w3schools attribute references<a href="https://www.w3schools.com/tags/ref_attributes.asp" target="_blank"here></a></p>
        <h2>
            HTML Links
        </h2>
        <h4>Absolute Links</h4>
        <!-- creates a hyperlink element that redirects to different page -->
        <a href="https://zuitt.co">I'm a hyperlink</a>
        <!-- for opening the link in new tab -->
        <a href="https://zuitt.co" target="_blank">I'm a NEW hyperlink</a>

        <h4>Relative link</h4>
        <!-- redirect to the link.html -->
        <p>Go to <a href="./link.html">link.html</a>page</p>

        <!-- redirects to the html element with the top id attribute -->
        <p>Go to <a href="#top">top</a></p>
	</body>
</html>
